AnticompactionRequest.AnticompactionRequestSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.repair.messages

## Class AnticompactionRequest.AnticompactionRequestSerializer

- java.lang.Object
- - org.apache.cassandra.repair.messages.AnticompactionRequest.AnticompactionRequestSerializer

- All Implemented Interfaces:
    IVersionedSerializer<AnticompactionRequest>, RepairMessage.MessageSerializer<AnticompactionRequest>
  Enclosing class:
    AnticompactionRequest

      public static class AnticompactionRequest.AnticompactionRequestSerializer
      extends java.lang.Object
      implements RepairMessage.MessageSerializer<AnticompactionRequest>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnticompactionRequestSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnticompactionRequest` | `deserialize(DataInputPlus in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(AnticompactionRequest message, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(AnticompactionRequest message, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnticompactionRequestSerializer

          public AnticompactionRequestSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(AnticompactionRequest message,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<AnticompactionRequest>`
      Parameters:
        `message` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public AnticompactionRequest deserialize(DataInputPlus in,
                                                   int version)
                                            throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<AnticompactionRequest>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(AnticompactionRequest message,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<AnticompactionRequest>`
      Parameters:
        `message` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation